IStockChartDataSet (jCharts-0.7.5 API)
Keywords: org.jCharts.chartData.interfaces.IStockChartDataSet,IStockChartDataSet interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartData.interfaces
Interface IStockChartDataSet

All Superinterfaces:
  IAxisPlotDataSet, IData, IDataSet, java.io.Serializable

All Known Implementing Classes:
  StockChartDataSet

public interface IStockChartDataSet
extends IAxisPlotDataSet

Method Summary
`ChartType` | `getChartType()` Returns the type of chart this data is to be plotted on
`double` | `getCloseValue(int index)`
`double` | `getHighValue(int index)`
`double` | `getLowValue(int index)`
`double` | `getOpenValue(int index)`
`boolean` | `hasCloseValues()`
`boolean` | `hasOpenValues()`

Methods inherited from interface org.jCharts.chartData.interfaces.IAxisPlotDataSet
`getNumberOfDataSets, validate`

Methods inherited from interface org.jCharts.chartData.interfaces.IDataSet
`getChartTypeProperties, getLegendLabel, getNumberOfDataItems, getNumberOfLegendLabels, getPaint`

Method Detail

### getChartType

    public ChartType getChartType()

  Returns the type of chart this data is to be plotted on

  Specified by:
    `getChartType` in interface `IAxisPlotDataSet`
  Returns:
    ChartType

### getHighValue

    public double getHighValue(int index)

  Parameters:
    `index` -
  Returns:
    double

### getLowValue

    public double getLowValue(int index)

  Parameters:
    `index` -
  Returns:
    double

### getCloseValue

    public double getCloseValue(int index)

  Parameters:
    `index` -
  Returns:
    double

### hasCloseValues

    public boolean hasCloseValues()

### getOpenValue

    public double getOpenValue(int index)

  Parameters:
    `index` -
  Returns:
    double

### hasOpenValues

    public boolean hasOpenValues()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD